#### D.14.8.5 isElement

Procedure from library `sets.lib` (see sets_lib).

Usage:
  isElement(a,M); M set a def

Return:
  bool, 1 if a is an element of M, 0 if not

Example:

    LIB "sets.lib";
    int i=1;
    int j=5;
    list k =1,2,3,4;
    Set M=k;
    i;
    ==> 1
    j;
    ==> 5
    M;
    ==> {4; 3; 2; 1}
    ==> Set with 4 elements
    ==>
    isElement(i,M);
    ==> 1
    isElement(j,M);
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.